Name:          openorb-ins
Version:       1.4.0
Release:       %mkrel 1
Summary:       OpenORB Interoperable Naming Service
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/openorb/NamingService-%{version}-src.tgz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-ins-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: excalibur-configuration
BuildRequires: java
BuildRequires: java-1.5.0-gcj-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: openorb == %{version}
BuildRequires: openorb-ots == %{version}
BuildRequires: openorb-pss == %{version}
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      excalibur-configuration
Requires:      jpackage-utils
Requires:      openorb == %{version}
Requires:      openorb-ots == %{version}
Requires:      openorb-pss == %{version}
BuildArch:     noarch


%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

This package contains OpenORB Interoperable Naming Service libraries.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
OpenORB Interoperable Naming Service.

This package contains javadoc for %{name}.

%prep

%setup -q -n NamingService

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0

%build

unset JAVA_HOME
export JAVA_HOME=/usr/lib/jvm/java-gcj
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath avalon-framework-impl avalon-framework-api avalon-logkit excalibur-configuration commons-cli jndi junit )
CLASSPATH=$CLASSPATH:$(build-classpath openorb-omg openorb-tools tools-openorb openorb openorb-ots openorb-pss)
CLASSPATH=$CLASSPATH:tools/lib/tools-%{version}.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  jar-all compile-javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/openorb_ins-%{version}.jar %{buildroot}%{_javadir}/openorb-ins-%{version}.jar
install -m 644 lib/openorb_ns_examples-%{version}.jar %{buildroot}%{_javadir}/openorb-ns-examples-%{version}.jar
install -m 644 lib/endorsed/openorb_ns_omg-%{version}.jar %{buildroot}%{_javadir}/openorb-ns-omg-%{version}.jar
install -m 644 lib/openorb_ns_jndi-%{version}.jar %{buildroot}%{_javadir}/openorb-ns-jndi-%{version}.jar
install -m 644 lib/openorb_ns_test-%{version}.jar %{buildroot}%{_javadir}/openorb-ns-test-%{version}.jar
install -m 644 lib/openorb_tns-%{version}.jar %{buildroot}%{_javadir}/openorb-tns-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/openorb-ins-%{version}/omg
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/openorb-ins-%{version}/
cp -pr doc/javadoc-omg/* %{buildroot}%{_javadocdir}/openorb-ins-%{version}/omg
ln -s openorb-ins-%{version} %{buildroot}%{_javadocdir}/openorb-ins

%files
%{_javadir}/openorb-ins-%{version}.jar
%{_javadir}/openorb-ins.jar
%{_javadir}/openorb-ns-examples-%{version}.jar
%{_javadir}/openorb-ns-examples.jar
%{_javadir}/openorb-ns-omg-%{version}.jar
%{_javadir}/openorb-ns-omg.jar
%{_javadir}/openorb-ns-jndi-%{version}.jar
%{_javadir}/openorb-ns-jndi.jar
%{_javadir}/openorb-ns-test-%{version}.jar
%{_javadir}/openorb-ns-test.jar
%{_javadir}/openorb-tns-%{version}.jar
%{_javadir}/openorb-tns.jar
%doc LICENSE.txt README

%files javadoc
%{_javadocdir}/openorb-ins-%{version}
%{_javadocdir}/openorb-ins



%changelog

* Sat Nov 26 2011 gil <gil> 1.4.0-1.mga2
+ Revision: 172453
- rebuilt with new avalon-framework
- imported package openorb-ins


* Sat May 28 2011 gil <gil> 1.4.0-0.mga1
- initial rpm